# tty.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for tty.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | tty_termNode

## Defines

#define | TTY_MAX_TERMS 5

## Typedefs

typedef tty_termNode | tty_term

## Functions

int | tty_change (uInt16)
tty_term * | tty_find (uInt16)
int | tty_init ()
int | tty_print (char *, tty_term *)

## Variables

tty_term * | tty_foreground

## Define Documentation

#define TTY_MAX_TERMS 5

Definition at line 35 of file tty.h.

Referenced by tty_change(), and tty_init().

## Typedef Documentation

typedef struct tty_termNode tty_term

## Function Documentation

int tty_change | ( | uInt16 |  | ) |

Definition at line 87 of file tty.c.

References kpanic(), memcpy(), outportByte(), terms, tty_termNode::tty_buffer, tty_foreground, TTY_MAX_TERMS, tty_termNode::tty_pointer, tty_termNode::tty_x, and tty_termNode::tty_y.

Referenced by keyboardHandler().

Here is the call graph for this function:

tty_term* tty_find | ( | uInt16 |  | ) |

Definition at line 170 of file tty.c.

References terms.

Referenced by execFile(), kprint(), and systemTask().

int tty_init | ( |  | ) |

Definition at line 42 of file tty.c.

References inportByte(), kmalloc(), kpanic(), kprintf(), outportByte(), terms, tty_termNode::tty_buffer, tty_termNode::tty_colour, tty_foreground, TTY_MAX_TERMS, tty_termNode::tty_pointer, tty_termNode::tty_x, and tty_termNode::tty_y.

Here is the call graph for this function:

int tty_print | ( | char * | ,
|  | tty_term * |  |
| ) |  |  |

Definition at line 118 of file tty.c.

References outportByte(), spinLock(), spinUnlock(), tty_termNode::tty_colour, tty_foreground, tty_termNode::tty_pointer, tty_spinLock, tty_termNode::tty_x, tty_termNode::tty_y, and x20.

Referenced by kprint(), and sysFwrite().

Here is the call graph for this function:

## Variable Documentation

tty_term* tty_foreground

Definition at line 39 of file tty.c.

Referenced by backSpace(), getch(), keyboardHandler(), kpanic(), kprint(), sysFgetc(), tty_change(), tty_init(), and tty_print().